summaryrefslogtreecommitdiffstats
path: root/comms
diff options
context:
space:
mode:
authorasami <asami@FreeBSD.org>1996-07-12 11:22:22 +0000
committerasami <asami@FreeBSD.org>1996-07-12 11:22:22 +0000
commite475397522d8f03d3e26b51d99c7dcd014e057cd (patch)
treea804b0815d539c9430cd5db64870856485b97ba1 /comms
parent2f21b3a17ee2cc6624b2c8bc4f7954071816920c (diff)
downloadFreeBSD-ports-e475397522d8f03d3e26b51d99c7dcd014e057cd.zip
FreeBSD-ports-e475397522d8f03d3e26b51d99c7dcd014e057cd.tar.gz
Oops, forgot to add this one.
Submitted by: "David E. O'Brien" <obrien@Nuxi.cs.ucdavis.edu>
Diffstat (limited to 'comms')
-rw-r--r--comms/minicom/scripts/create-dev-link58
1 files changed, 58 insertions, 0 deletions
diff --git a/comms/minicom/scripts/create-dev-link b/comms/minicom/scripts/create-dev-link
new file mode 100644
index 0000000..02c6e8d
--- /dev/null
+++ b/comms/minicom/scripts/create-dev-link
@@ -0,0 +1,58 @@
+#!/bin/sh -
+#
+# pre-install script for Minicom port to FreeBSD 2.x
+
+echo ""
+echo "Minicom will be installed mode 4511 (setuid) owner root, and group bin."
+echo ""
+echo -n "Is this ok? [y] "
+ read fooz
+ if [ ! ${fooz} ] ; then
+ fooz=Y
+ fi
+ if [ ${fooz} = Y -o ${fooz} = y -o ${fooz} = yes ] ; then
+ # ok to continue
+ else
+ echo ""
+ exit 1
+ fi
+
+
+echo ""
+echo "Minicom needs to know what device your modem is hanging off of."
+echo "I (the porter) have adopted Satoshi Asami's lead of using /dev/modem."
+echo ""
+echo -n "Lets see if you have too..."
+
+# might want to test for ``-h'' rather than ``-e''
+if [ -e /dev/modem ]; then
+ echo " Good you do:"
+ /bin/ls -l /dev/modem
+else
+ echo "Nope, you haven't (yet)."
+ echo "The patches to Minicom hardcode /dev/modem."
+ echo -n "Would you like me to make this link for you? [Y] "
+ read foo
+ if [ ! ${foo} ] ; then
+ foo=Y
+ fi
+ if [ ${foo} = Y -o ${foo} = y -o ${foo} = yes ] ; then
+ echo "From the list below, what port number is your modem attached to?"
+ cd /dev
+ /bin/ls -C cuaa*
+ echo ""
+ echo -n "Enter the number X from cuaaX above : "
+ read bar
+ if [ ${bar} ] ; then
+ if [ -e /dev/cuaa${bar} ]; then
+ ln -s /dev/cuaa${bar} /dev/modem
+ else
+ echo "Error: /dev/cuaa${bar} doesn't exist."
+ exit 1
+ fi
+ fi
+ fi
+fi
+
+echo ""
+exit 0
OpenPOWER on IntegriCloud